summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorXavierCLL2015-06-13 00:26:01 -0500
committerXavierCLL2015-06-13 00:26:01 -0500
commitc028b324895907838bec712a49df17909e177a0c (patch)
treeda37def24e88f922ec510d82a71161576f837776
downloadaur-c028b324895907838bec712a49df17909e177a0c.tar.gz
Initial import
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD38
2 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b20a8d8ece5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = hpgl
+ pkgdesc = HPGL stands for 'High Performance Geostatistics Library'. The goal of this project is to provide free-to-use and modify high-perfomance geostatistical algorithms (such as Kriging, CoKriging, Sequential Simulation, etc).
+ pkgver = 0.9.9
+ pkgrel = 1
+ url = http://hpgl.sourceforge.net/
+ arch = any
+ license = bsd
+ makedepends = python2-distribute
+ makedepends = scons
+ makedepends = boost
+ depends = python2-numpy
+ depends = python2-scipy
+ provides = hpgl
+ conflicts = hpgl-git
+ source = http://downloads.sourceforge.net/project/hpgl/hpgl/0.9.9/hpgl-bsd-0.9.9_src.tar.gz
+ md5sums = a3f17cc720f662ea9d8662c1380b6b29
+
+pkgname = hpgl
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5e255d2e910
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Contributor: Dominik Fuchs <dominik.fuchs@wur.nl>
+
+pkgname=hpgl
+pkgver=0.9.9
+pkgrel=1
+pkgdesc="HPGL stands for 'High Performance Geostatistics Library'. The goal of this project is to provide free-to-use and modify high-perfomance geostatistical algorithms (such as Kriging, CoKriging, Sequential Simulation, etc)."
+arch=('any')
+license=('bsd')
+url="http://hpgl.sourceforge.net/"
+depends=('python2-numpy' 'python2-scipy')
+makedepends=('python2-distribute' 'scons' 'boost')
+optdepends=()
+source=(http://downloads.sourceforge.net/project/hpgl/hpgl/0.9.9/hpgl-bsd-0.9.9_src.tar.gz)
+md5sums=('a3f17cc720f662ea9d8662c1380b6b29')
+provides=('hpgl')
+conflicts=('hpgl-git')
+
+build() {
+ # compile libfc2 and tmglib
+ cd "$srcdir/CLAPACK-3.1.1.1"
+ make f2clib
+ make tmglib
+ ln -s tmglib_LINUX.a libtmglib.a
+ #ln -s F2CLIBS/libf2c.a libf2c.a
+
+ # configure & compile HPGL
+ cd "${srcdir}/"
+ scons -c
+ scons -j4
+
+ # assemble package & install
+ mkdir ${srcdir}/temp/geo_bsd
+ cp geo_bsd/*.py ${srcdir}/temp/geo_bsd
+ cp geo_bsd/*.so ${srcdir}/temp/geo_bsd
+ cp setup.py ${srcdir}/temp/
+ cd ${srcdir}/temp/
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+} \ No newline at end of file